| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions | List of all members
Tp::NotFilter< T > Class Template Reference
Utililty classes

The NotFilter class provides a generic filter object to be used in conjunction of other filters. More...

`#include <TelepathyQt/NotFilter>`

Inheritance diagram for Tp::NotFilter< T >:
[legend]

## Public Member Functions

virtual | ~NotFilter ()
virtual bool | isValid () const
virtual bool | matches (const SharedPtr< T > &t) const
SharedPtr< const Filter< T > > | filter () const
Public Member Functions inherited from Tp::Filter< T >
virtual | ~Filter ()
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Static Public Member Functions

static SharedPtr< NotFilter< T > > | create (const SharedPtr< const Filter< T > > &filter=SharedPtr< const Filter< T > >())

## Additional Inherited Members

Protected Member Functions inherited from Tp::Filter< T >
| Filter ()

## Detailed Description

### template<class T>
class Tp::NotFilter< T >

The NotFilter class provides a generic filter object to be used in conjunction of other filters.

The NotFilter will match if its given filter does not match its criteria.

## Constructor & Destructor Documentation

## § ~NotFilter()

template<class T >

virtual Tp::NotFilter< T >::~NotFilter | ( |  | ) |

inline virtual

## Member Function Documentation

## § create()

template<class T >

static SharedPtr<NotFilter<T> > Tp::NotFilter< T >::create | ( | const SharedPtr< const Filter< T > > & | filter = `SharedPtr<const Filter<T> >()` | ) |

inline static

## § isValid()

template<class T >

virtual bool Tp::NotFilter< T >::isValid | ( |  | ) | const

inline virtual

Reimplemented from Tp::Filter< T >.

## § matches()

template<class T >

virtual bool Tp::NotFilter< T >::matches | ( | const SharedPtr< T > & | t | ) | const

inline virtual

Reimplemented from Tp::Filter< T >.

## § filter()

template<class T >

SharedPtr<const Filter<T> > Tp::NotFilter< T >::filter | ( |  | ) | const

inline